$AdfDhtmlCodeEditorPeer$$.$_SUB_ID_MAP$ = {editorContent:"ci"};
$AdfDhtmlCodeEditorPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlCodeEditorPeer$$$$$GetSubIdDomElement$$($subElementId$$6$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$6$$);
  var $component$$1805$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$6$$, $AdfDhtmlCodeEditorPeer$$.$_SUB_ID_MAP$, $component$$1805$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCodeEditorPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlCodeEditorPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlCodeEditorPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlCodeEditorPeer$$$$$GetBestMatchSubId$$($domElement$$544$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$544$$, this, $AdfDhtmlCodeEditorPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCodeEditorPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlCodeEditorPeer$$.prototype.$GetBestMatchSubId$});
